<main *ngIf="layout === NO_LAYOUT" data-testid="no-layout-container">
  <router-outlet></router-outlet>
</main>

<div *ngIf="layout !== NO_LAYOUT" class="flex h-screen">
  <section
    [class]="{
      'px-4': true,
      'w-1/6': layout === FULL_LAYOUT,
      'w-[4.5rem]': layout === FOCUSED_LAYOUT
    }"
  >
    <app-logo-banner
      [hideText]="layout === FOCUSED_LAYOUT"
      data-testid="app-logo-banner"
    ></app-logo-banner>
    <nav>
      <ul>
        <li *ngFor="let item of NAV_ITEMS">
          <a
            [routerLink]="item.route"
            routerLinkActive="bg-gray-800 is-active !text-gray-100"
            class="group hover:bg-gray-800 inline-flex items-center mb-1 no-underline p-3 rounded-lg text-gray-400 text-lg transition-colors w-full"
          >
            <app-icon
              class="inline-flex"
              className="bg-gray-400 group-[.is-active]:!bg-gray-100 mr-2 transition-colors w-5"
              [icon]="item.icon"
            ></app-icon>
            {{ item.label }}
          </a>
        </li>
      </ul>
    </nav>
  </section>
  <main
    [class]="{
      'flex-1': true,
      'p-4': layout === FULL_LAYOUT
    }"
  >
    <router-outlet></router-outlet>
  </main>
</div>
